wxSQLite3Collation Class Reference

Interface for a user defined collation sequence. More...

`#include <wxsqlite3.h>`

## Public Member Functions

virtual | ~wxSQLite3Collation ()
| Virtual destructor. More...
virtual int | Compare (const wxString &text1, const wxString &text2)
| Execute a comparison using a user-defined collation sequence. More...

## Detailed Description

Interface for a user defined collation sequence.

## Constructor & Destructor Documentation

virtual wxSQLite3Collation::~wxSQLite3Collation | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

virtual int wxSQLite3Collation::Compare | ( | const wxString & | text1,
|  | const wxString & | text2
| ) |  |

inline virtual

Execute a comparison using a user-defined collation sequence.

Please refer to the SQLite documentation for further information.

Parameters

  text1 | first text string
  text2 | second text string

Returns
  an integer < 0, = 0, or > 0 depending on whether text1 is less than, equal to, or greater than text2.

The documentation for this class was generated from the following file:

- wxsqlite3.h